package gssim.gssimstudio.db.dao.data {

/**
 * 
 * @author Jarek Szymczak
 *
 */
[Bindable]
[RemoteClass(alias = "gssim.db.dao.data.Task")]
public class Task {

	protected var PK:int;
	protected var expId:int;
	protected var jobId:int;
	protected var taskId:int;
	protected var procSetId:int;
	protected var parentId:int;
	protected var execStartDate:Date;
	protected var execFinishDate:Date;
	protected var execEndDate:Date;
	protected var gbSubmitDate:Date;
	protected var lbSubmitDate:Date;
	protected var completionTime:int;
	protected var execStartTime:int;
	protected var executionTime:int;
	protected var startTime:int;
	protected var readyTime:int;
	protected var flowTime:int;
	protected var waitingTime:int;
	protected var gqWaitingTime:int;
	protected var lateness:int;
	protected var tardiness:int;
	protected var makespan:int;
	
	public function getPK():int {
		return PK;
	}
	
	public function setPK(pK:int):void {
		PK = pK;
	}
	
	public function getExpId():int {
		return expId;
	}
	
	public function setExpId(expId:int):void {
		this.expId = expId;
	}
	
	public function getJobId():int {
		return jobId;
	}
	
	public function setJobId(jobId:int):void {
		this.jobId = jobId;
	}
	
	public function getTaskId():int {
		return taskId;
	}
	
	public function setTaskId(taskId:int):void {
		this.taskId = taskId;
	}
	
	public function getProcSetId():int {
		return procSetId;
	}
	
	public function setProcSetId(procSetId:int):void {
		this.procSetId = procSetId;
	}
	
	public function getParentId():int {
		return parentId;
	}
	
	public function setParentId(parentId:int):void {
		this.parentId = parentId;
	}
	
	public function getExecStartDate():Date {
		return execStartDate;
	}
	
	public function setExecStartDate(execStartDate:Date):void {
		this.execStartDate = execStartDate;
	}
	
	public function getExecFinishDate():Date {
		return execFinishDate;
	}
	
	public function setExecFinishDate(execFinishDate:Date):void {
		this.execFinishDate = execFinishDate;
	}
	
	public function getExecEndDate():Date {
		return execEndDate;
	}
	
	public function setExecEndDate(execEndDate:Date):void {
		this.execEndDate = execEndDate;
	}
	
	public function getGbSubmitDate():Date {
		return gbSubmitDate;
	}
	
	public function setGbSubmitDate(gbSubmitDate:Date):void {
		this.gbSubmitDate = gbSubmitDate;
	}
	
	public function getLbSubmitDate():Date {
		return lbSubmitDate;
	}
	
	public function setLbSubmitDate(lbSubmitDate:Date):void {
		this.lbSubmitDate = lbSubmitDate;
	}
	
	public function getCompletionTime():int {
		return completionTime;
	}
	
	public function setCompletionTime(completionTime:int):void {
		this.completionTime = completionTime;
	}
	
	public function getExecStartTime():int {
		return execStartTime;
	}
	
	public function setExecStartTime(execStartTime:int):void {
		this.execStartTime = execStartTime;
	}
	
	public function getExecutionTime():int {
		return executionTime;
	}
	
	public function setExecutionTime(executionTime:int):void {
		this.executionTime = executionTime;
	}
	
	public function getStartTime():int {
		return startTime;
	}
	
	public function setStartTime(startTime:int):void {
		this.startTime = startTime;
	}
	
	public function getReadyTime():int {
		return readyTime;
	}
	
	public function setReadyTime(readyTime:int):void {
		this.readyTime = readyTime;
	}
	
	public function getFlowTime():int {
		return flowTime;
	}
	
	public function setFlowTime(flowTime:int):void {
		this.flowTime = flowTime;
	}
	
	public function getWaitingTime():int {
		return waitingTime;
	}
	
	public function setWaitingTime(waitingTime:int):void {
		this.waitingTime = waitingTime;
	}
	
	public function getGqWaitingTime():int {
		return gqWaitingTime;
	}
	
	public function setGqWaitingTime(gqWaitingTime:int):void {
		this.gqWaitingTime = gqWaitingTime;
	}
	
	public function getLateness():int {
		return lateness;
	}
	
	public function setLateness(lateness:int):void {
		this.lateness = lateness;
	}
	
	public function getTardiness():int {
		return tardiness;
	}
	
	public function setTardiness(tardiness:int):void {
		this.tardiness = tardiness;
	}
	
	public function getMakespan():int {
		return makespan;
	}
	
	public function setMakespan(makespan:int):void {
		this.makespan = makespan;
	}
}
}
