package gssim.gssimstudio.db.dao.data {

/**
 * 
 * @author Jarek Szymczak
 * 
 */
[Bindable]
[RemoteClass(alias = "gssim.db.dao.data.Unit")]
public class Unit {

	protected var PK:int;
	protected var resourceId:int;
	protected var type:String;
	protected var name:String;
	protected var amount:int;
	protected var allocationLoad:Number;
	protected var reservationLoad:Number;

	public function getPK():int {
		return PK;
	}

	/**
	 * Sets the primary key in the unit class and foreign keys in unit details
	 * list.
	 * 
	 * @param pK
	 *            primary key
	 */
	public function setPK(pK:int):void {
		this.PK = pK;
	}

	public function getResourceId():int {
		return resourceId;
	}

	public function setResourceId(resourceId:int):void {
		this.resourceId = resourceId;
	}

	public function getType():String {
		return type;
	}

	public function setType(type:String):void {
		this.type = type;
	}

	public function getName():String {
		return name;
	}

	public function setName(name:String):void {
		this.name = name;
	}

	public function getAmount():int {
		return amount;
	}

	public function setAmount(amount:int):void {
		this.amount = amount;
	}

	public function getAllocationLoad():Number {
		return allocationLoad;
	}

	public function setAllocationLoad(allocationLoad:Number):void {
		this.allocationLoad = allocationLoad;
	}

	public function getReservationLoad():Number {
		return reservationLoad;
	}

	public function setReservationLoad(reservationLoad:Number):void {
		this.reservationLoad = reservationLoad;
	}
}
}
