package gssim.gssimstudio.editor.gssim.errors.workload
{
	import gssim.gssimstudio.editor.gssim.editors.workload.PreferencesParameterWindow;
	import gssim.gssimstudio.editor.gssim.editors.workload.PreferencesWindow;
	import gssim.gssimstudio.editor.gssim.errors.AbstractError;
	import gssim.gssimstudio.editor.gssim.workload.Preference;
	
	import gssim.gssimstudio.editor.script.views.ViewsHelper;

	/**
	 * Error raised if preference is invalid
	 */
	public class PreferenceError extends AbstractError
	{
		private var params : Preference;
		
		public function PreferenceError(message : String, params : Preference)
		{
			super(message);
			this.params = params;
		}
		
		public override function solve() : void
		{
			var window : PreferencesWindow = new PreferencesWindow();
			ViewsHelper.WorkloadCanvas.windowManager.add(window);
			window.setParams(params);
		}
	}
}
