package gssim.gssimstudio.editor.gssim.errors.workload
{
	import gssim.gssimstudio.editor.gssim.editors.workload.PreferencesParameterWindow;
	import gssim.gssimstudio.editor.gssim.errors.AbstractError;
	import gssim.gssimstudio.editor.gssim.workload.PreferenceParameter;
	
	import gssim.gssimstudio.editor.script.views.ViewsHelper;

	/**
	 * Error raised if preference parameter in preference is invalid
	 */
	public class PreferenceParameterError extends AbstractError
	{
		private var params : PreferenceParameter;
		
		public function PreferenceParameterError(message : String, params : PreferenceParameter)
		{
			super(message);
			this.params = params;
		}
		
		public override function solve() : void
		{
			var window : PreferencesParameterWindow = new PreferencesParameterWindow();
			ViewsHelper.WorkloadCanvas.windowManager.add(window);
			window.setParams(params);
		}
	}
}
