package gssim.gssimstudio.editor.gssim.resources
{
	import gssim.gssimstudio.editor.gssim.errors.AbstractError;
	import gssim.gssimstudio.editor.gssim.errors.ValidableObject;
	import gssim.gssimstudio.editor.gssim.errors.workload.PreferenceError;
	import gssim.gssimstudio.editor.gssim.resources.types.HostParameterType;
	import gssim.gssimstudio.editor.gssim.workload.types.PreferenceType;
	import gssim.gssimstudio.editor.gssim.xml.XMLBasicWrapper;
	
	import mx.collections.ArrayCollection;

	/**
	 * Class for storing computing resource
	 */
	public class Resource extends XMLBasicWrapper implements ValidableObject
	{
		/**
		 * ID of the resource
		 */
		[Bindable]
		public var resourceId : String;
						
		public function Resource()
		{
		}
		
		public override function getXML(addLabel : Boolean) : XML
		{
			var xml : XML = <resource />;
			if (addLabel) addStringAttribute(xml, "label", xml.toXMLString(), false);
			addStringAttribute(xml, "resourceId", resourceId, true);
			
			return xml;
		}
		
		public function validate() : ArrayCollection
		{
			var ac : ArrayCollection = new ArrayCollection();
			
			return ac;
		}
	}
}
