package gssim.db.dao.data;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class Configuration {

	protected Integer id;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + id;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Configuration other = (Configuration) obj;
		if (id.equals(other.id))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Configuration [id=" + id + "]";
	}
}
