/*
 * @author Jarek Szymczak
 */
package gssim.gssimstudio.db.dao.data {
/**
 * 
 * @author Jarek Szymczak
 *
 */
[Bindable]
[RemoteClass(alias = "gssim.db.dao.data.Allocation")]
public class Allocation {

	protected var PK:int;
	protected var taskId:int;
	protected var unitId:int;
	protected var begin:Date;
	protected var end:Date;
	

	public function getPK():int {
		return PK;
	}

	/**
	 * Sets the primary key in the allocation class and foreign keys in allocation details list.
	 *
	 * @param pK primary key
	 */
	public function setPK(pK:int):void {
		PK = pK;
	}

	public function getTaskId():int {
		return taskId;
	}

	public function setTaskId(taskId:int):void {
		this.taskId = taskId;
	}

	public function getUnitId():int {
		return unitId;
	}

	public function setUnitId(unitId:int):void {
		this.unitId = unitId;
	}

	public function getBegin():Date {
		return begin;
	}

	public function setBegin(begin:Date):void {
		this.begin = begin;
	}

	public function getEnd():Date {
		return end;
	}

	public function setEnd(end:Date):void {
		this.end = end;
	}
}
}
