package gssim.gssimstudio.editor.gssim.topology
{
	/**
	 * Factory for creating objects for network topology
	 */
	public class GenderObjectFactory
	{
		public static function createRouter(posX : int, posY : int, width : int, height: int) : RouterObject
		{
			var object : RouterObject = new RouterObject("null");
				object.width = width;
				object.height = height;
				object.x = posX;
				object.y = posY;
				object.nodeName = object.id;
			return object;
		}

		public static function createResource(posX : int, posY : int, width : int, height: int) : ResourceObject
		{
			var object : ResourceObject = new ResourceObject("null");
				object.width = width;
				object.height = height;
				object.x = posX;
				object.y = posY;
				object.nodeName = object.id;
			return object;
		}
		
		public static function createUser(posX : int, posY : int, width : int, height: int) : UserObject
		{
			var object : UserObject = new UserObject("null");
				object.width = width;
				object.height = height;
				object.x = posX;
				object.y = posY;
				object.nodeName = object.id;
			return object;
		}
		
		public static function createCluster(posX : int, posY : int, width : int, height: int) : ResourceObject
		{
			var object : ResourceObject = new ResourceObject("null", true);
			object.width = width;
			object.height = height;
			object.x = posX;
			object.y = posY;
			object.nodeName = object.id;
			return object;
		}
	}
}
