package gssim.gssimstudio.editor.gssim.topology
{
	import com.degrafa.GraphicImage;
	
	/** The base class for all Graph items. Extends GraphicImage for graphic representation.
	 */
	public class GraphItem extends GraphicImage
	{
		/**
		 * Variable used in DFS algorithms
		 */
		public var visited : Boolean;
		
		/**
		 * Name of the node
		 */
		[Bindable]
		public var nodeName : String;
		
		public function GraphItem(name : String)
		{
			nodeName = name;
		}
		
		/**
		 * Do some actions if the graph item was moved on canvas
		 */
		public function dispatchMoveAction() : void
		{
		}
	}
}
