package gssim.gssimstudio.editor.script.command
{
	import flash.events.Event;
	
	import flexlib.mdi.containers.MDICanvas;
	
	import gssim.gssimstudio.editor.gssim.editors.topology.GeneralChartsWindow;
	
	/**
	 * Open charts menu window in network editor
	 */
	public class OpenGeneralChartsWindowCommand implements ICommand
	{
		private static var chartsWindow : GeneralChartsWindow = new GeneralChartsWindow();
		public var myContainer : MDICanvas;
		
		public function OpenGeneralChartsWindowCommand(canvas : MDICanvas)
		{
			myContainer = canvas;
		}

		public function execute():void
		{
			if (!myContainer.hasOwnProperty(chartsWindow.id))
			{
				var prevX : Number = chartsWindow.x;
				var prevY : Number = chartsWindow.y;
				myContainer.windowManager.add(chartsWindow);
				chartsWindow.x = prevX;
				chartsWindow.y = prevY;
			}
		}
		
		public function executeFromListener(event : Event):void
		{
			execute();
		}
		
		/**
		 * Initialize windows position
		 */
		public function init() : void
		{
			chartsWindow.x = 100;
			chartsWindow.y = 100;
		}
		
	}
}
