package gssim.gssimstudio.editor.script.command
{
	import flash.events.Event;
	
	import flexlib.mdi.containers.MDICanvas;
	
	import gssim.gssimstudio.editor.gssim.editors.topology.LinkPropertiesWindow;
	import gssim.gssimstudio.editor.gssim.topology.NetworkObjectLinker;
	
	/**
	 * Open link properties window in network editor
	 */
	public class OpenLinkPropertiesWindowCommand implements ICommand
	{
		public var linkParamsWindow : LinkPropertiesWindow;
		public var myContainer : MDICanvas;
		
		public function OpenLinkPropertiesWindowCommand(canvas : MDICanvas, link : NetworkObjectLinker)
		{
			linkParamsWindow = new LinkPropertiesWindow();
			linkParamsWindow.init(link);
			myContainer = canvas;
		}

		public function execute():void
		{
			if (myContainer.getChildByName(linkParamsWindow.name) == null)
			{
				myContainer.windowManager.add(linkParamsWindow);
			}
		}
		
		public function executeFromListener(event : Event):void
		{
			execute();
		}
		
	}
}
