package gssim.gssimstudio.editor.script.event
{
	import flash.events.Event;
	
	import gssim.gssimstudio.editor.gssim.topology.NetworkObjectLinker;

	/**
	 * Event bound with Link actions
	 */
	public class LinkEvent extends Event
	{
		private var _link : NetworkObjectLinker;
		public function get link() : NetworkObjectLinker
		{
			return _link;
		}
		
		public function LinkEvent(type:String, link : NetworkObjectLinker, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			_link = link;
		}
		
		override public function clone():Event
		{
			return new LinkEvent(type, link, bubbles, cancelable);
		}
	}
}
