package gssim.gssimstudio.editor.script.event
{
	import flash.events.Event;
	
	import gssim.gssimstudio.editor.gssim.topology.GenderObject;

	/**
	 * Event bound with TextInputWindow actions
	 */
	public class TextMessageEvent extends Event
	{
		private var _text : String;
		public function get text() : String
		{
			return _text;
		}
		
		public function TextMessageEvent(type:String, text : String, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			_text=  text;
		}
		
		override public function clone():Event
		{
			return new TextMessageEvent(type, text, bubbles, cancelable);
		}
		
	}
}
