package gssim.gssimstudio.flex.app.editor;

import java.io.Serializable;
import org.vinetoolkit.grms3client.GRMS3Job;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import gssim.db.dao.data.Allocation;
import gssim.db.dao.data.AllocationDetails;
import gssim.db.dao.data.BlobProperty;
import gssim.db.dao.data.Configuration;
import gssim.db.dao.data.Metaexperiment;
import gssim.db.dao.data.Experiment;
import gssim.db.dao.data.ExperimentStats;
import gssim.db.dao.data.Queues;
import gssim.db.dao.data.Plugin;
import gssim.db.dao.data.Reservation;
import gssim.db.dao.data.ReservationDetails;
import gssim.db.dao.data.Resource;
import gssim.db.dao.data.ResourceAllTimeline;
import gssim.db.dao.data.ResourceEnTimeline;
import gssim.db.dao.data.Task;
import gssim.db.dao.data.TextProperty;
import gssim.db.dao.data.Unit;
import gssim.db.dao.data.UnitAllTimeline;
import gssim.db.dao.data.UnitDetails;
import gssim.db.dao.data.UnitEnTimeline;
import gssim.db.dao.data.User;

/*
 * @author Mateusz Ciche�ski, Jarek Szymczak
 */
public class ResourceChartModel implements Serializable {

    //    IMPORTANT - please regenerate your serialVersionUID
    private static final long serialVersionUID = 5436766887639900888L;
	
	/* FIELDS FOR DB DATA */
    
    private Integer selectedResourceIndex;
	private String error;
	private List<Resource> resourceList;
	private List resourceTimelineList;
	private HashMap<String, String> experimentConfiguration;
	/* END OF DB DATA */

	public Integer getSelectedResourceIndex() {
		return selectedResourceIndex;
	}
	
	public void setSelectedResourceIndex(Integer index) {
		this.selectedResourceIndex = index;
	}
	
	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}
	
	public List<Resource> getResourceList() {
		return resourceList;
	}

	public void setResourceList(List<Resource> resourceList) {
		this.resourceList = resourceList;
	}

	public List getResourceTimelineList() {
		return resourceTimelineList;
	}

	public void setResourceTimelineList(
			List resourceTimelineList) {
		this.resourceTimelineList = resourceTimelineList;
	}

	public HashMap<String, String> getExperimentConfiguration() {
		return experimentConfiguration;
	}

	public void setExperimentConfiguration(
			HashMap<String, String> experimentConfiguration) {
		this.experimentConfiguration = experimentConfiguration;
	}
}